%define         debug_package %{nil}
%define		cvs	stable

Name:           w3af
Version:        1.1
Release:        2.1.art
Summary:        Web Application Attack and Audit Framework
Group:          Applications/Internet
License:        GPLv2 and ( LGPLv3 and LGPLv2 and GPLv2+ and GPLv3 and CC-BY-SA )
URL:            http://w3af.sourceforge.net
Source0:        http://downloads.sourceforge.net/downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2 
Source1:        %{name}.png
Patch0:         w3af-fedora.patch
Patch1:         w3af-paths.patch
#Patch2:         w3af-dependencies.patch
#Patch3:		test.patch
#Patch3:		version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

AutoReq:	no
BuildRequires:  python, dos2unix, desktop-file-utils
Requires:       python SOAPpy python-fpconst graphviz-python pyPdf pygtk2 python-BeautifulSoup python-SocksiPy wordnet
Requires:	pysvn python-pybloomfiltermmap

Requires:	PackageKit-gtk-module libcanberra-gtk2 pygtksourceview
Requires:	python-nltk pyOpenSSL libxml2-python python-lxml
Requires:	scapy tcpdump

%if 0%{?fedora} >= 17
Requires:	PackageKit-gtk3-module
%else
Requires:	PackageKit-gtk-module
%endif


#Requires:      python-ntlk #doesn't work

%description
The W3AF, is a Web Application Attack and Audit Framework.
The W3AF core and it's plug-ins are fully written in python.
The project has more than 130 plug-ins, which check for SQL injection,
cross site scripting (XSS), local and remote file inclusion and much more.

%package doc
Summary:        Web Application Attack and Audit Framework - documentation
Group:          Applications/Internet

%description doc
Documentation for the W3AF package.

%prep
%setup -q -n %{name}
%patch0 -p 1 -b .0fedora
%patch1 -p 1 -b .1paths
#%patch2 -p 1 -b .2dependencies
#%patch3 -p 1

#Fix permissions
find core extlib plugins -name "*.py" |xargs chmod -x
chmod +x plugins/attack/payloads/webshell/webshell.pl

#Fix dos eol
#dos2unix extlib/nltk_contrib/readability/syllables_no.py
#dos2unix extlib/nltk_contrib/readability/textanalyzer.py
dos2unix readme/GPL
dos2unix ./plugins/discovery/oHmap/known.servers/mbedthis-appweb-2.4.0.juniper-srx100

#Gzip manpage 
#gzip plugins/discovery/oHalberd/man/man1/halberd.1

#Old python
#sed -i -e "s%/usr/bin/env python2.[0-9]%/usr/bin/env python%" extlib/nltk_contrib/mit/six863/tagging/tagparse.py
#sed -i -e "s%/usr/bin/env python2.[0-9]%/usr/bin/env python%" extlib/nltk/test/doctest_driver.py

#Shebang
find core extlib plugins -name '*.py' |xargs sed -i -e 's%^#!%#%'
sed -i -e 's%^#!%#%' plugins/discovery/oHalberd/scripts/halberd

#Empty files
rm core/data/timeAnalysis.py
echo "<!-- dummy -->" >> core/ui/userInterface.dtd

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}
cp -r core extlib plugins profiles scripts tools %{buildroot}%{_datadir}/%{name}/
install -m 755 w3af_console w3af_gui %{buildroot}%{_datadir}/%{name}/
ln -s %{_datadir}/%{name}/w3af_gui %{buildroot}%{_bindir}/w3af_gui
ln -s %{_datadir}/%{name}/w3af_console %{buildroot}%{_bindir}/w3af_console

#Remove .svn dirs
find %{buildroot} -name .svn | xargs rm -rf

#Remove libraries which are installed separately or are no longer fuctional
#rm -rf %{buildroot}%{_datadir}/%{name}/extlib/SOAPpy
#rm -rf %{buildroot}%{_datadir}/%{name}/extlib/pygoogle
#rm -rf %{buildroot}%{_datadir}/%{name}/extlib/pyPdf
#rm -rf %{buildroot}%{_datadir}/%{name}/extlib/yaml
#rm -rf %{buildroot}%{_datadir}/%{name}/extlib/fpconst-0.7.2

#Locales
install -d %{buildroot}%{_datadir}/locale/es/LC_MESSAGES
install locales/es/LC_MESSAGES/w3af.mo %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/w3af.mo

install -d %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES
install locales/ru/LC_MESSAGES/w3af.mo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/w3af.mo

#Desktop (tmp disable ART)
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        --vendor fedora \
        fedora/%{name}.desktop

install -d %{buildroot}%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme/CONTRIBUTORS readme/GPL  readme/INSTALL  readme/README  readme/TODO 
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_bindir}/w3af_gui
%{_bindir}/w3af_console
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/w3af.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/w3af.mo

%files doc
%defattr(-,root,root,-)
%doc readme/EN readme/FR


%changelog
* Fri Jun 8 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1-2.1
- Minor change for Fedora 17  Packagekit

* Fri Jun 8 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1-2
- Bugfix #XXX, dos2unix the mbedthis plugin

* Fri Dec 9 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1-1
- Update to 1.1 

* Wed Jun 1 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-5
- Update to 1.0 official release

* Thu Feb 24 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-4
- Update to rc6

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-3
- Update to rc5

* Sun Jan 2 2011 Scott R. Shinn <scott@atomicorp.com> - 1.0-2
- Add fixes for python 2.7
- First package of 2011

* Fri Dec 10 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0-0.1.rc4
- Update to rc4 

* Tue Jan 05 2010 Michal Ambroz <rebus at, seznam.com> 1.0-0.1.rc3
- Initial SPEC for Fedora 12

